Gtk2::TargetList(3)

NAME
Gtk2::TargetList

METHODS

  targetlist = Gtk2::TargetList->new (...)

    * ... (list) of Gtk2::TargetEntry's

  $list->add ($target, $flags, $info)
    * $target (Gtk2::Gdk::Atom)
    * $flags (integer)
    * $info (integer)

  $list->add_image_targets ($info, $writable)

    * $info (integer)
    * $writable (boolean)

  $list->add_table (...)

    * ... (list) of Gtk2::TargetEntry's

  $list->add_text_targets ($info)
    * $info (integer)

  $list->add_uri_targets ($info)

    * $info (integer)

  integer = $list->find ($target)
    * $target (Gtk2::Gdk::Atom)

  $list->remove ($target)

    * $target (Gtk2::Gdk::Atom)

SEE ALSO
Gtk2, Gtk2::TargetEntry

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.